cascading.pipe.joiner

## Class InnerJoin

- java.lang.Object
- - cascading.pipe.joiner.BaseJoiner
  - - cascading.pipe.joiner.InnerJoin

- All Implemented Interfaces:
    DeclaresResults, Joiner, java.io.Serializable

      public class InnerJoin
      extends BaseJoiner

  Class InnerJoin will return an `Iterator` that will iterate over a given `Joiner` and return tuples that represent and inner join of the CoGrouper internal grouped tuple collections.

  Joins perform based on the equality of the join keys. In the case of null values, Java treats two null values as equivalent. SQL does not treat null values as equal. To produce SQL like results in a given join, a new `Comparator` will need to be used on the joined values to prevent null from equaling null. As a convenience, see the `NullNotEquivalentComparator` class.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InnerJoin.JoinIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerJoin()`
    `InnerJoin(Fields fieldDeclaration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Tuple>` | `getIterator(JoinerClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
    `int` | `numJoins()` Returns the number of joins this instance can handle.

    - ### Methods inherited from class cascading.pipe.joiner.BaseJoiner

      `getFieldDeclaration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InnerJoin

          public InnerJoin()

    - #### InnerJoin

          @ConstructorProperties(value="fieldDeclaration")
          public InnerJoin(Fields fieldDeclaration)

  - ### Method Detail

    - #### getIterator

          public java.util.Iterator<Tuple> getIterator(JoinerClosure closure)

      Description copied from interface: `Joiner`
      Returns an iterator that joins the given CoGroupClosure co-groups.
      Parameters:
        `closure` - of type GroupClosure
      Returns:
        an iterator

    - #### numJoins

          public int numJoins()

      Description copied from interface: `Joiner`
      Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.
      Returns:
        an int

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.